v1.0

post

/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/shipments/{shipmentId}/removeKits

Removes kits from an order shipment. Rights: OrsInventoryDelete, OrsUnblinded.

Request

Path Parameters
Supported Media Types
Request Body - */* ()
Root Schema : schema
Type: object
Request object containing kits to be removed from shipment.
Show Source
Nested Schema : kits
Type: array
Minimum Number of Items: 1
Kits to be removed from the shipment.
Show Source
Example:
[
    "E39FF55A445543A38D513325664F0B2D"
]
Nested Schema : nsKits
Type: array
Kits to be removed from the shipment.
Show Source
Example:
[
    {
        "lotId":"C36A3197FDEE433FB5547EE83DE99E4B",
        "kitTypeSrcId":"D313327EF13845169A8ADADDA435431E",
        "quantity":56
    }
]
Nested Schema : ShipmentRemoveNonSerializedKitRequest
Type: object
Request object containing non serialized kits to be removed from shipment.
Show Source
Example:
{
    "lotId":"C36A3197FDEE433FB5547EE83DE99E4B",
    "kitTypeSrcId":"D313327EF13845169A8ADADDA435431E",
    "quantity":56
}
Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : schema
Type: string(uuid)
Examples

400 Response

'Invalid Kit', 'Invalid shipment status'
Body ()
Root Schema : DesignerResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Examples

404 Response

'Invalid study ID', 'Study still in design phase' or 'Invalid shipment ID'
Body ()
Root Schema : DesignerResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Examples

500 Response

Internal server error
Body ()
Root Schema : DesignerResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Examples

Back to Top